Bug 129258 - kdeprintfax handles non-alphabetic characters improperly
kdeprintfax handles non-alphabetic characters improperly
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-08-05 12:15 EDT by Ed Swierk
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2004-08-05 12:15:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
Two problems:

1. The "Name" and "Number" fields in the Personal Settings dialog
allow the user to type any character, even though the set of
characters supported by the Fax standards is limited.  For example,
the "Number" field should allow only numbers, spaces and + signs.

2. When passing the contents of "Name" and "Number" to efax, certain
characters like spaces and + signs are misinterpreted by the
/usr/bin/fax shell script, even though they are surrounded by single
quoes on the command line.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set the "Number" field to something like "+1 234 567 8901", which
is a legal fax number string
2. Set the Fax number, and add a file
3. Press the Send Fax button
4. Click Fax : View log, and notice the error messages from
/usr/bin/fax complaining about 234 being a bad command.
Comment 1 Matthew Miller 2005-04-26 12:11:40 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:41:17 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.